apply plugin: 'java'
apply plugin: 'application'

group = 'minecraft'
version = '0.2.1'

compileJava {
    sourceCompatibility = targetCompatibility = 1.8
    options.encoding = 'UTF-8'
}

application {
    mainClassName = 'net.minecraft.server.MinecraftServer'
}

run {
    workingDir = new File(buildDir, 'run')
    if (!workingDir.exists()) {
        workingDir.mkdir()
    }

    args 'nogui'
}
